[GameJam]Translate and write content for Game Jam website
Closed, ResolvedPublic1 Story Points

Juscwmde created this task.Jul 16 2015, 7:04 AM
Juscwmde updated the task description. (Show Details)
Juscwmde raised the priority of this task from to Needs Triage.
Juscwmde claimed this task.
Juscwmde added subscribers: Aklapper, samuwmde, Juscwmde.
samuwmde renamed this task from Translate and write content for Game Jam website to [GameJam]Translate and write content for Game Jam website.Jul 28 2015, 6:44 PM
samuwmde set Security to None.
samuwmde edited a custom field.
samuwmde triaged this task as High priority.Jul 29 2015, 9:10 AM
Juscwmde closed this task as Resolved.